﻿@model ShopWebApp.Domain.Models.Good

<div class="card card-product-item">
    <div class="card-body">
        <h5>@Html.ActionLink(Model.Title, "Details", new { id = Model.Id }, new { @class = "card-title product-title-link", title = Model.Title })</h5>
        @{
            var normalizedCategoryName = Model.Category.CategoryName
                        .Replace(" ", "_")
                        .ToLower();
        }
        <div>
            @Html.RouteLink(Model.Category.CategoryName, "Default/Category", routeValues: new { category = normalizedCategoryName }, htmlAttributes: new { @class = "badge badge-info" })
        </div>
        <h3 class="mt-4">@Model.Price uah</h3>
    <div class="float-right">
        @using (Html.BeginForm("AddToCart", "Cart"))
        {
            @Html.HiddenFor(t => t.Id)
            @Html.Hidden("returnUrl", Request.Url.PathAndQuery)
            <button type="submit" class="btn btn-outline-success" title="Add to cart"><i class="fas fa-shopping-cart fa-lg"></i></button>
        }
    </div>
    </div>
</div>
